# std::chrono::month::operator++, std::chrono::month::operator--

From cppreference.com
< cpp‎ | chrono‎ | month

constexpr std::chrono::month & operator++() noexcept; | (1) | (since C++20)
constexpr std::chrono::month operator++(int) noexcept; | (2) | (since C++20)
constexpr std::chrono::month & operator--() noexcept; | (3) | (since C++20)
constexpr std::chrono::month operator--(int) noexcept; | (4) | (since C++20)

Adds or subtracts 1 from the month value, reducing the result modulo 12 to an integer in the range [1, 12].

1-2) Performs *this += std::chrono::months {1};
3-4) Performs *this -= std::chrono::months {1};

### Parameters

(none)

### Return value

1,3) a reference to this `month` after modification
2,4) a copy of the `month` made before modification

### Notes

After a call to one of these functions, ok() is always true.

### Example

| This section is incomplete Reason: no example

### See also

operator+=operator-= | adds or subtracts a number of months (public member function)
operator+operator- | performs arithmetic on `month`s (function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/chrono/month/operator_inc_dec&oldid=104726"